Bug 170742 - [MAINTAINER] games/simsu: Makefile changed, OptionsNG
Summary: [MAINTAINER] games/simsu: Makefile changed, OptionsNG
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-18 15:50 UTC by nemysis
Modified: 2012-08-27 18:50 UTC (History)
1 user (show)

See Also:


Attachments
simsu-1.2.2_1.patch (1.26 KB, patch)
2012-08-18 15:50 UTC, nemysis
no flags Details | Diff
simsu.diff (1.28 KB, patch)
2012-08-20 22:00 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-08-18 15:50:06 UTC
Makefile changed:

Deleted INSTALL why isn't needed after Installation.


Added

.if !defined (NOPORTDATA)


OptionsNG

.include <bsd.port.options.mk>

.if ${PORT_OPTIONS:MDOCS}

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2012-08-18 17:09:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2012-08-20 12:00:38 UTC
Responsible Changed
From-To: sunpoet->jgh

Jason would like to take nemysis's PRs.
Comment 3 dfilter service freebsd_committer 2012-08-27 18:40:01 UTC
Author: jgh
Date: Mon Aug 27 17:39:52 2012
New Revision: 303236
URL: http://svn.freebsd.org/changeset/ports/303236

Log:
  - port requires data
  - adopt optionsNG for DOCS
  - move from cp to install_data for icons
  - drop INSTALL doc from PORTDOCS
  
  PR:	170742
  Submitted by:	maintainer, nemysis@gmx.ch

Modified:
  head/games/simsu/Makefile   (contents, props changed)

Modified: head/games/simsu/Makefile
==============================================================================
--- head/games/simsu/Makefile	Mon Aug 27 16:59:42 2012	(r303235)
+++ head/games/simsu/Makefile	Mon Aug 27 17:39:52 2012	(r303236)
@@ -7,6 +7,7 @@
 
 PORTNAME=	simsu
 PORTVERSION=	1.2.2
+PORTREVISION=	1
 CATEGORIES=	games
 MASTER_SITES=	http://gottcode.org/${PORTNAME}/
 EXTRACT_SUFX=	-src.tar.bz2
@@ -32,29 +33,31 @@ USE_GMAKE=	yes
 MAKE_JOBS_SAFE=	yes
 
 PORTDATA=	*
-PORTDOCS=	CREDITS ChangeLog INSTALL
+PORTDOCS=	CREDITS ChangeLog
+
+.include <bsd.port.options.mk>
 
 do-install:
 # Executable
 	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
 
+# Data
+	${MKDIR} ${DATADIR}
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} "symmetry translations" ${DATADIR})
+
 # Icons
-	${CP} -R ${WRKSRC}/icons/hicolor ${PREFIX}/share/icons/
+	${MKDIR} ${PREFIX}/share/icons/hicolor
+.for d in incons
+	@(cd ${WRKSRC}/${d} && ${COPYTREE_SHARE} hicolor ${PREFIX}/share/icons/)
+.endfor
 
 # Pixmaps and Desktop
 	${INSTALL_DATA} ${WRKSRC}/icons/${PORTNAME}_32.xpm ${PREFIX}/share/pixmaps/
 	${MKDIR} ${PREFIX}/share/applications
 	${INSTALL_DATA} ${WRKSRC}/icons/${PORTNAME}.desktop ${PREFIX}/share/applications/
 
-post-install:
-# Data
-.if !defined (NOPORTDATA)
-	${MKDIR} ${DATADIR}
-	@(cd ${WRKSRC} && ${COPYTREE_SHARE} "symmetry translations" ${DATADIR})
-.endif
-
-# Documentations
-.if !defined(NOPORTDOCS)
+# Documentation
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 .  for f in ${PORTDOCS}
 	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Jason Helfman freebsd_committer 2012-08-27 18:40:04 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!